# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$

EAPI=6

inherit git-r3

DESCRIPTION="Client for signing certificates with an ACME-server implemented as a relatively simple bash-script"
HOMEPAGE="https://github.com/lukas2511/letsencrypt.sh"
EGIT_REPO_URI="https://github.com/lukas2511/letsencrypt.sh.git"

LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"
IUSE="nginx"

DEPEND=""
RDEPEND="
		sys-apps/coreutils
		net-misc/curl
		dev-libs/openssl
"

DOCS=( README.md docs/. )

src_install() {
	dobin letsencrypt.sh
	docompress -x /usr/share/doc/${PF}/examples
	default

	ETCDIR=/etc/letsencrypt.sh
	insinto ${ETCDIR}
	doins ${FILESDIR}/config
	touch ${D}${ETCDIR}/domains.txt
	keepdir /etc/ssl/letsencrypt
	keepdir /var/www/letsencrypt
	if use nginx ; then
		mkdir -p ${D}/etc/nginx
		cp ${FILESDIR}/nginx.conf  ${D}/etc/nginx/letsencrypt.conf
    fi
}

src_test() {
	./test.sh
}
